<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array("_69c6236c92" . "7bc93c5d062" . "074967d834d" => base64_decode("cGFnZV92" . "ZXJzaW9u"), "_2aef71f103069bdb72b57d0b3bd1d29" . "4" => base64_decode("Q2Fubm90IGRpc3BsYXkgY29tbWVudHMgLSBwYWdlIG5vdCBpZG" . "VudGlmaWVk"), "_1a6a10bd09998ad0ae2a2b4e0fd966e" . "8" => base64_decode("U0NSSVBUX1V" . "SSQ=="), "page_" . "id" => base64_decode("cGFnZV9pZA=" . "="));
class PublishCommentsComponent extends ClaCommentsComponent
{
    public function Show($attributes)
    {
        $_b2e2301cda45361416cebc466d340194 = PublishBrowser::Instance();
        $page_id = $_b2e2301cda45361416cebc466d340194->GetPageIdByUrl($_SERVER[$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_1a6a10bd09998ad0" . "ae2a2b4e0fd966e8"]]);
        if ($page_id < 0) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_2aef71f" . "103069bd" . "b72b57d0" . "b3bd1d29" . "4"];
        }
        $attributes[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["page_i" . "d"]] = $page_id;
        return parent::Show($attributes);
    }
    public function GetCommentsObject($attributes)
    {
        $comments = new PublishComments($attributes[$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["pag" . "e_i" . "d"]], $attributes[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_69c6236c927bc93c5" . "d062074967d834d"]]);
        return $comments;
    }
}